#include <iostream>
#include <cmath>
using namespace std ;

/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
    int t,a[t],b[t],i,j,A,B,d1,d2;
    cin >> t;
	for(i=0;i<t;i=i+1)
	{
		j = i;
		cin >> a[i] >> b[j];

	 } 
	i = 0 ;
    j = i ;
    for (i = 0;i<t;i = i + 1){
    	A = a [i];
    	B = b [j];
    	d1 = 1 ;
    	while (d1<A/2){
    		if (A % d1 == 0){
    			d2 = A / d1;
    			if (d1 ^ d2 == B){
				cout <<d1<<" "<<d2<<endl;
				d1 = A/2 + 1;
			    }  
			}
			else d1 = d1 + 1;
		}
	}
	 
	return 0;
}